package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.UsulanEvaluasiVO;


/**
 * Evaluasi Rekanan Service
 * 
 * @author Lukman Hakim
 */
public interface MonitoringEvaluasiPerundanganService  {
	 
	String noMonitoringEvaluasiPerundangan();
	
	List<Map<String,Object>> listMonitoringEvaluasiPerundanganByRuanganPembuat(String tglAwal, String tglAkhir,String noUsulan,Integer ruanganId);
	
	List<Map<String,Object>> listMonitoringEvaluasiPerundanganByRuanganTujuan(String tglAwal, String tglAkhir,String noUsulan,Integer ruanganId);
	
	Map<String,Object> monitoringEvaluasiPerundanganByNoUsulan(String noUsulan);
	
	String saveMonitoringEvaluasiPerundangan(UsulanEvaluasiVO usulanEvaluasiVO);
	
	Map<String, Object>  saveRekomendasiMonitoringEvaluasiPerundangan(UsulanEvaluasiVO usulanEvaluasiVO);
	
}
